com.pivotal.gemfirexd.internal.client.am

## Class ClientMessageId

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.ClientMessageId

    public class ClientMessageId
    extends Object

A very simple wrapper around a message id. This is needed so that the new constructors for SqlException using message ids don't conflict with the old constructors. Once all messages have been internationalized, we could conceivably get rid of this class.

### Field Summary

Fields
`String` `msgid`

### Constructor Summary

Constructors
Constructor and Description
`ClientMessageId(String msgid)` Creates a new instance of MessageId

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### msgid

    public String msgid

### Constructor Detail

#### ClientMessageId

    public ClientMessageId(String msgid)

Creates a new instance of MessageId